TAU_PROFILER_START(3)

Name
TAU_PROFILER_START - starts a profiler object created by TAU_PROFILER_CREATE

Synopsis

C/C++:

TAU_PROFILER_START(Timer timer);

description

TAU_PROFILER_STARTstarts a profiler timer by passing the pointer created by the TAU_PROFILER_CREATE.

example

>C/C++:

    void *ptr;
    TAU_PROFILER_CREATE(ptr, "foo","", TAU_USER);
    TAU_PROFILER_START(ptr);
    foo(2);
    TAU_PROFILER_STOP(ptr);

See Also

TAU_PROFILER_CREATE TAU_PROFILER_STOP TAU_PROFILER_GET_CALLS TAU_PROFILER_GET_CHILD_CALLS TAU_PROFILER_GET_INCLUSIVE_VALUES TAU_PROFILER_GET_ExCLUSIVE_VALUES TAU_PROFILER_GET_COUNTER_INFO